List Tracking Domains

List all custom tracking domains for the organization with cursor-based pagination.

GET/tracking-domains

Requires a full_access API key.

Query Parameters

limitnumber

Maximum number of results to return. Min 1, max 100.

afterstring

Cursor for forward pagination.

beforestring

Cursor for backward pagination.

Response Fields

objectstring

Always "list".

has_moreboolean

Whether there are more results available.

dataarray

Array of tracking domain objects.

curl -X GET 'https://api.postflare.app/tracking-domains' \
  -H 'Authorization: Bearer re_xxxxxxxxx'

Response

Response
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "id": "a1b2c3d4-1234-5678-abcd-000000000001",
      "name": "track.example.com",
      "status": "verified",
      "created_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}